### Method

# FwupdPlugin IntelMeDevice set_hfsts

since: 2.1.1

#### Declaration [src]

    void
    fu_intel_me_device_set_hfsts (
      FuIntelMeDevice* self,
      guint idx,
      FuStructIntelMeHfsts* hfsts
    )

#### Description [src]

Sets a HFSTSx register.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`idx`

  Type: `guint`

  Index, 1-6.

`hfsts`

  Type: `FuStructIntelMeHfsts`

  A `FuStructIntelMeHfsts`.

  The data is owned by the caller of the method.